#include <bits/stdc++.h>
#define MAXN 200010

using namespace std;

long long a[MAXN];

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL); cout.tie(NULL);
	
	int n, k; cin >> n >> k;
	
	for(int i = 0; i < n; i++) cin >> a[i];
	
	long long s1 = 0, s2 = 0;
	
	for(int i = 0; i < n; i++) s2 += a[i];
	
	int m = 0;
	
	for(int i = 0; i < n - 1; i++)
	{
		s1 += a[i];
		s2 -= a[i];
		
		if(m < abs(s1 - s2)) m = abs(s1 - s2);
	}
	
	
	cout << m;
	
	return 0;
}